Magisk Canary ya es compatible con Android 12, pero pierde MagiskHide y el repositorio de módulos

Magisk Canary ya es compatible con Android 12, pero pierde MagiskHide y el repositorio de módulos
1 comentario

Magisk es una de las herramientas de root y manipulación del sistema más usadas y activas, aunque temíamos por su futuro después de que su creador empezara a trabajar para Google. Finalmente, Magisk sigue adelante y su última versión Canary, en desarrollo, es ya compatible con Android 12.

Hay buenas y malas noticias, y es que esta versión también elimina MagiskHide, la herramienta para engañar a las aplicaciones para que crean que el sistema no ha sido modificado. No obstante, la puerta se abre para que otros desarrolladores creen módulos con el mismo fin.

Hola Android 12, adiós MagiskHide

La primera actualización de Magisk en meses nos trae, para bien o para mal, los cambios que ya fueron anunciados hace unos meses. Por un lado, se añade soporte para Android 12 en esta versión que soporta únicamente sistemas de 64 bits. A cambio, llega DenyList, para revertir los cambios de Magisk en ciertos procesos y Zygisk.

Zygisk se estrena en esta versión Canary de Magisk. Se trata de un modo de usar Magisk en el proceso Zygote del sistema, siendo en teoría un modo más fácil de que Magisk no afecte a las aplicaciones que no quieren ser modificadas. Todavía es una versión pre-beta, destinada a que los desarrolladores comiencen a probar a crear módulos que lo aprovechen.

Ahora vienen las malas noticias. Desaparece MagiskHide, el módulo para engañar al sistema o aplicaciones concretas, simulando que el sistema no ha sido modificado. MagiskHide servía para poder seguir usando aplicaciones que requieren SafetyNet para funcionar, como Pokémon Go.

Además, se elimina el repositorio de módulos desde la propia aplicación. Se hace así un poco más difícil encontrar y descargar módulos compatibles, aunque ya están empezando a aparecer alternativas. Puedes descargar la última versión Canary de Magisk desde aquí, o directamente desde la aplicación, cambiando la configuración de las actualizaciones para que descargue versiones Canary.

Vía | XDA

Temas
Inicio